* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: Georgia, 'Times New Roman', Times, serif;
    font-size: 1.25rem;
}

header, footer {
    display: flex;
    background-color: #000;
    color: #fff;
    padding-top: 2rem;
    padding-bottom: 2rem;
    justify-content: space-around;
    align-items: center;
}

.logo {
    width: 200px;
}

nav {
    display: flex;
}

nav ul {
    list-style-type: none;
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 500px;
    margin-left: 50px;
}

li a {
    font-size: 1.5rem;
}

a:link {
    text-decoration: none;
    color: inherit;
}

a:visited {
    color: inherit;
}

a:hover {
    text-decoration: underline;
}

a:active, .active {
    text-decoration: underline;
    color: #ad2200;
}

.active {
    color: #ad2200 !important;
}

video {
    width: 100%;
    margin-top: 4px;
}

.center-text {
    text-align: center;
}

.menu-content {
    max-width: 1200px;
    display: grid;
    grid-template-columns: calc(50% - 1rem) calc(50% - 1rem);
    grid-template-rows: auto auto auto auto;
    gap: 2rem;
    margin: 2rem auto;
}

.menu-content section, .text-area {
    background-color: #f2f2f2;
    border: 2px solid #ad2200;
    border-radius: 1rem;
    padding: 1.5rem;
}

.drinks {
    grid-column: 1 / span 1;
    grid-row: 1 / span 1;
}

.image1 {
    grid-column: 1 / span 1;
    grid-row: 2 / span 1;
}

.appetizers {
    grid-column: 2 / span 1;
    grid-row: 1 / span 1;
}

.entrees {
    grid-column: 2 / span 1;
    grid-row: 2 / span 2;
}

.image2 {
    grid-column: 1 / span 1;
    grid-row: 4 / span 1;
}

.image3 {
    grid-column: 2 / span 1;
    grid-row: 5 / span 1;
}

.image1 img, .image2 img, .image3 img {
    width: 100%;
    overflow: hidden;
    
}

.sashimi {
    grid-column: 1 / span 1;
    grid-row: 3 / span 1;
}

.special {
    grid-column: 2 / span 1;
    grid-row: 4 / span 1;
}

.maki {
    grid-column: 1 / span 1;
    grid-row: 5 / span 2;
}

.desserts {
    grid-column: 2 / span 1;
    grid-row: 6 / span 1;
}

h2 {
    color: #ad2200;
    text-align: center;
    font-size: 1.5rem;
    margin-bottom: 1.5rem;
}

.menu-item {
    display: flex;
    margin-bottom: 1rem;
}

section div:last-of-type {
    margin-bottom: 0px;
}

.menu-item .item-description {
    flex-grow: 1;
}

.menu-item .item-description p:first-child {
    font-weight: bold;
}

.menu-item .item-description p:last-of-type {
    font-size: 1rem;
}

.menu-item .item-price {
    font-weight: bold;
    text-align: right;
    width: 75px;
}

.order {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    padding-left: 2rem;
}

.order .order-field {
    width: calc(50% - 1rem);
    margin-bottom: 1rem;
}

.order-field label {
    display: block;
    font-size: 1rem;
}

.order-field input[type=text],
.order-field input[type=tel],
.order-field input[type=email],
.order-field textarea {
    width: 100%;
    padding: .75rem 1rem;
    display: block;
    border: 1px solid #ccc;
    border-radius: 0.5rem;
}

.radio-buttons {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
}

.radio-buttons p {
    width: 100%;
}

.radio-buttons div label {
    display: inline-block;
    font-size: 1.25rem;
    margin-left: 1rem;
}

input[type=submit] {
    font-size: 2rem;
    border-radius: 1rem;
    background-color: #ad2200;
    color: #f2f2f2;
    padding: 0.5rem 2rem;
    margin-top: 1rem;
}

.field-hidden {
    display: none;
}

form {
    width: 600px;
    margin: 0px auto;
}

@media (width < 800px) {
    .menu-content {
        display: flex;
        flex-direction: column;
    }

    nav, footer {
        width: 100%;
        padding: 0px 15px;
        align-items: center;
    }

    nav ul {
        width: calc(100% - 220px);
        margin-left: 0px;
    }

    footer div:first-of-type {
        margin-top: 1.5rem;
        margin-bottom: 1.5rem;
    }
}

.intercalate {
    display: flex;
    width: 100%;
}

@media (width > 700px) {
    .intercalate:nth-child(odd) {
        flex-direction: row-reverse;
    }
}

.intercalate-section-img, .intercalate-section-text {
    width: 50%;
    background-color: #000;
}

.intercalate-section-img img {
    width: 100%;
}

.intercalate-section-text {
    display: flex;
    justify-content: center;
    align-items: center;
}

.text-area {
    width: 350px;
}

.text-area p {
    line-height: 150%;
}

.text-area h1, .text-area h2 {
    color: #ad2200;
    font-size: 1.5rem;
    text-align: center;
    margin-bottom: 20px;
}

.hero-image, .hero-image img {
    width: 100%;
}

@media (width < 700px) {
    .intercalate {
        flex-direction: column;
        flex-wrap: wrap;
    }

    footer {
        padding-top: 20px;
    }

    .intercalate-section-img, .intercalate-section-text {
        width: 100%;
    }
}

@media (width < 600px) {
    header, footer, nav, .order {
        flex-direction: column;
    }

    nav {
        flex-wrap: wrap;
    }

    nav ul {
        width: 100%;
    }

    header img {
        width: 150px;
        margin-bottom: 1rem;
    }

    header div h1 {
        display: none;
    }

    nav a {
        margin-bottom: 1rem;
    }

    .order .order-field,
    input[type=submit] {
        width: 100%;
    }
}